cordova.define('vicky_plugin', function(require, exports, module) {
        var exec = require("cordova/exec");

        function ExtPlugin() {};

        ExtPlugin.prototype.toast = function(info){
            exec(null, null, 'VickyPlugin', 'toast', [info]);
        };

        ExtPlugin.prototype.loadingShow = function(loadingShow,success,error){
            exec(success, error, 'VickyPlugin', 'loadingShow', [loadingShow]);
        };

        ExtPlugin.prototype.html5OpenActivity = function(openActivity,openParamStr,success,error){
            exec(success, error, 'VickyPlugin', 'html5OpenActivity', [openActivity,openParamStr]);
        };

        ExtPlugin.prototype.html5ActivityResult = function(resultFrom,resultParamStr,success,error){
            exec(success, error, 'VickyPlugin', 'html5ActivityResult', [resultFrom,resultParamStr]);
        };

        ExtPlugin.prototype.getHttpRequestParams = function(needSign,bodyJson,success,error){
            exec(success, error, 'VickyPlugin', 'getHttpRequestParams', [needSign,bodyJson]);
        };

        ExtPlugin.prototype.checkReturnDataSignature = function(resultJson,success,error){
            exec(success, error, 'VickyPlugin', 'checkReturnDataSignature', [resultJson]);
        };

        module.exports = new ExtPlugin();
});